eoSSGAStochTournamentReplacement(3)

NAME
eoSSGAStochTournamentReplacement - SSGA stochastic tournament replacement.

SYNOPSIS

#include <eoReduceMerge.h>

Inherits eoReduceMerge< EOT >< EOT >.

  Public Member Functions
eoSSGAStochTournamentReplacement (double _t_rate)

  Private Attributes
eoStochTournamentTruncate< EOT > truncate
eoPlus< EOT > plus

Detailed Description

  template<class EOT> class eoSSGAStochTournamentReplacement< EOT >
SSGA stochastic tournament replacement. Is an eoReduceMerge. It much cleaner to insert directly the offspring in the parent population, but it is NOT equivalent in case of more than 1 offspring as already replaced could be removed , which is not possible in the eoReduceMerge So what the heck !

Definition at line 108 of file eoReduceMerge.h.

Author

Generated automatically by Doxygen for EO from the source code.